Page MenuHomePhabricator

sidedata: enable sidedata computers to optionally rewrite flags
ClosedPublic

Authored by Alphare on Apr 9 2021, 4:49 AM.

Details

Summary

Sidedata computers may want to influence the flags of the revision they touch.
For example, the computer for changelog-based copytracing can add a flag to
signify that this revision might affect copytracing, inversely removing said
flag if the information is no longer applicable.

See inline documentation in storageutil for more details.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Apr 9 2021, 4:49 AM
marmoute accepted this revision.Apr 9 2021, 6:11 AM
Alphare updated this revision to Diff 26779.Apr 10 2021, 3:14 PM
Alphare updated this revision to Diff 27033.Apr 19 2021, 6:09 AM
Alphare updated this revision to Diff 27100.Apr 20 2021, 9:38 AM
marmoute accepted this revision.Apr 22 2021, 1:46 PM
marmoute added inline comments.
tests/testlib/ext-sidedata-3.py
25

nit: missing #hoot comment

tests/testlib/ext-sidedata-5.py
26

nit: missing #hoot comment

baymax updated this revision to Diff 27301.May 3 2021, 6:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27451.May 3 2021, 9:01 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.